/* Projects pages  */
.animate-heading {
    animation: fadeInUp 1s ease-in-out;
  }
  .animate-text {
    animation: fadeInUp 1.2s ease-in-out;
  }
  @keyframes fadeInUp {
    from {
      opacity: 0;
      transform: translateY(20px);
    }
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }

  .section-title {
    text-align: left;
    font-weight: bold;
    margin-bottom: 20px;
    color: #007bff;
}
.info-card {
    border-left: 5px solid #007bff;
    background: #f8f9fa;
    padding: 15px;
    border-radius: 10px;
    margin-bottom: 15px;
}
.info-card i {
    font-size: 24px;
    margin-right: 10px;
    color: #007bff;
}
.highlight {
    font-weight: bold;
    color: #dc3545;
}

/* gallery page  */

.gallery{
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}
.gallery .item{
  position: relative;
  margin: 4px;
  width: calc(20% - 8px);
  overflow: hidden;
  cursor: pointer;
}
.item img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: 0.3s;
}
.gallery .item:hover img{
  transform: scale(1.15);
}
.item .overlay{
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(5,85,92,0.7);  
  color: white;
  padding: 15px;
  overflow: hidden;
  transition: opacity 0.2s ease-in-out;
  opacity: 0;
}
.item:hover .overlay{
  opacity: 1;
}
.item .overlay a{
  display: inline-block;
  padding: 8px 16px;
  border: 2px solid white;
  color: white;
  text-decoration: none;
  font-size: 14px;
  transition: 0.3s;
}
.item .overlay a:hover{
  background-color: #f6f9fe;
  color: #05555c;
}

@media(max-width: 1024px){
  div.gallery .item{
    width: calc(50% - 8px);
  }
}
@media(max-width: 600px){
  div.gallery .item{
    width: 100%;
    margin: 4px 0px;
  }
}

/* contact us page */
.card .social-icon-contact a img {
  width: 50px;
}
/* donation page  */
.donation-section {
  background: #ffffff;
  padding: 30px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 30px;
}
.donation-title {
  color: #007bff;
  font-weight: bold;
}
/* feedback/complaint button  */
.modal-content {
  background: linear-gradient(135deg, #ffffff, #dfe9f3);
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}
.modal-header {
  background: #007bff;
  color: white;
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
}
.modal-body {
  padding: 30px;
}
.form-control {
  border-radius: 8px;
  border: 1px solid #ccc;
  padding-left: 40px;
}
.input-group-text {
  background: transparent;
  border: none;
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #007bff;
}
.btn-custom {
  background: #007bff;
  border: none;
  border-radius: 8px;
  padding: 10px 15px;
  color: white;
  font-size: 16px;
  transition: 0.3s;
}
.btn-custom:hover {
  background: #0056b3;
}